Better privacy without special software
-
Updated
Jul 21, 2024 - HTML
Better privacy without special software
Automatically password protect (with encryption) certain pages on GitHub Pages/Jekyll sites using PageCrypt.
Verifiable/deterministic fair tickets generation for lotteries, raffles and gambling games. 🦏 🍀
Encrypt your messages into Emojis, Latin and Math Symbols
Shifty is a tiny zero-dependency secrets generator, built for the web using TypeScript.
Open source secret manager with sharing capability
Generate self-contained HTML files that decrypt locally in your browser.
This project is a decentralized, peer-to-peer (P2P) chat application featuring end-to-end encryption (E2E) and Web3-based authentication using "Sign-In with Ethereum" (SIWE).
Post-Quantum Cryptography Based Cloud Storage System
e2e encrypted secret sharing via p2p exchanges & embedded vaults
Private chat app that use Web-Crypto-API in Browser
Zero-Knowledge End-to-End Encrypted (E2EE) private messenger featuring Apple iMessage Liquid Glass aesthetics. Built with native W3C Web Crypto (ECDH P-256 + AES-256-GCM), real-time WebSockets, non-extractable keys, MITM safety numbers, and installable PWA support. Powered by Node.js with dual-mode zero-config local storage and Supabase PostgreSQL.
WebRTC based E2EE real-time chat
🔐 Zero dependencies Deno/Bun/Node/Browser TOTP and HOTP generator based on RFC 6238 and RFC 4226 🗝️
⚛ A password vault + browser extension that mixes real quantum randomness (ANU QRNG) into key generation with an honest, non-hyped account of what that actually buys you.
Lightweight, zero-dependency client-side text encryption tool using native Web Crypto API (AES-256-GCM + PBKDF2) with strict CSP.
Zero-Knowledge ephemeral messaging suite with Blind Relay architecture, in-memory RAM cryptography (AES-256-GCM + ECDH), biometric voice obfuscation, duress decoy mode, and anti-forensic defenses.
use Web Crypto API,PKI.js,ASN1.js to make simpler API for the browser
🦦 A zero-knowledge, end-to-end encrypted (E2EE) messaging and file sharing application with native Tor Hidden Service support.
Post-quantum polyfill for the Web Cryptography API: ML-KEM (FIPS 203) and ML-DSA (FIPS 204) per the WICG Modern Algorithms draft — native-first with a wasm engine, plus a DHKEM-over-ECDH (RFC 9180) migration extension.
To associate your repository with the web-cryptography-api topic, visit your repo's landing page and select "manage topics."